45
Buchanan Sarah
45
0
Ochs Brandon
1
0
Bud Ryan
22
0
Thedoggie Maggie
33
0
Buchanan Sarah
98
5 12 13 14
Meatbreath Midger
12
0
Ochs Brandon
1
0
Bud Ryan
22
0
Buchanan Sarah
78
2 95 89 73
Thedoggie Maggie
33
0
Thedoggie Maggie
33
5 12 13 14
Ochs Brandon
33
1 40 40 40
Ochs Brandon
78
2 95 89 73
Ochs Brandon
98
1 40 40 40
Bud Ryan
98
1 40 40 40
Bud Ryan
33
5 12 13 14
Maricela Basel
2
0
Erik Glorioso
100
0
Maricela Basel
4
0
Erik Glorioso
200
5 400 600 800
Maricela Basel
6
0
Maricela Basel
8
0
Erik Glorioso
400
4 500 700 900
Tyrone Charney
800
4 500 700 900
Tyrone Charney
900
2 550 650 950
Roxie Postel
100
0
Roxie Postel
140
2 550 650 950
Zelma Diemer
150
4 500 700 900
Tyrone Charney
100
5 400 600 800
Erik Glorioso
400
2 550 650 950
Bud Ryan
22
0
Thedoggie Maggie
33
0
Buchanan Sarah
98
2 95 89 73
Tanisha Lauver
10
0
Tanisha Lauver
20
0
Lance Langstaff
10
0
Tanisha Lauver
30
0
Tanisha Lauver
40
0
Lance Langstaff
30
0
Tanisha Lauver
50
0
Lance Langstaff
20
6 1 2 3
Tanisha Lauver
30
6 1 2 3
Ochs Brandon
123
6 1 2 3
Hugh Raap
12
0
Hugh Raap
14
7 4 5 6
